<script>
import axios from 'axios';

const HOST = 'http://localhost:8000';

export default {
    data() {
        return {
            posts: []
        }
    },
    mounted() {
        this.initialize();
    },
    methods: {
        async initialize() {
            const res = await axios.get(`${HOST}/api/v1/posts`);
            const posts = res.data.posts;
            this.posts = posts;
        }
    }
}
</script>

<template>
    <div class="card">
        <table class="table" v-if="posts.length > 0">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Title</th>
                    <th scope="col">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="post in posts" :key="post.id">
                    <th scope="row">{{ post.id }}</th>
                    <td>{{ post.title }}</td>
                    <td>{{ post.description }}</td>
                </tr>
            </tbody>
        </table>
        <small v-else>No posts found</small>
    </div>
</template>